aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2001-01-29 23:16:58 +0000
committerBill Nottingham <notting@redhat.com>2001-01-29 23:16:58 +0000
commitb2c6bcce3be25a9afa2e5390015e383eb46d90b3 (patch)
treec62569b9a341b2769c4c57d7145f6c509f6114e8
parentecbd9034ac05c35ba975654a5b725d42e914ddaf (diff)
downloadinitscripts-b2c6bcce3be25a9afa2e5390015e383eb46d90b3.tar
initscripts-b2c6bcce3be25a9afa2e5390015e383eb46d90b3.tar.gz
initscripts-b2c6bcce3be25a9afa2e5390015e383eb46d90b3.tar.bz2
initscripts-b2c6bcce3be25a9afa2e5390015e383eb46d90b3.tar.xz
initscripts-b2c6bcce3be25a9afa2e5390015e383eb46d90b3.zip
do something less surprising when called with arguments (#18216)
-rwxr-xr-xrc.d/init.d/halt10
1 files changed, 10 insertions, 0 deletions
diff --git a/rc.d/init.d/halt b/rc.d/init.d/halt
index 06721332..099e58dd 100755
--- a/rc.d/init.d/halt
+++ b/rc.d/init.d/halt
@@ -39,6 +39,16 @@ case "$0" in
exit 1
;;
esac
+if [ -n "$1" ]; then
+ case "$1" in
+ *start)
+ ;;
+ *)
+ echo $"Usage: (halt|reboot) {start}"
+ exit 1
+ ;;
+ esac
+fi
# Kill all processes.
[ "${BASH+bash}" = bash ] && enable kill